package com.gic.haoban.manage.web.vo.chat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author shangfeng
 * @date 2024-10-10 15:40:38
 */
public class GroupChatActivityRewardVO implements Serializable {

    private static final long serialVersionUID = -5069228984771030367L;

    /**
     * 社群活动奖励id
     */
    private Long chatActivityRewardLogId;

    /**
     * 社群活动id
     */
    private Long chatActivityId;

    /**
     * 会员ID
     */
    private String memberId;

    /**
     * 奖励人类型 1邀请人2受邀人
     */
    private Integer rewardInvite;

    /**
     * 奖励阶梯 阶梯奖励，其他奖励默认1
     */
    private Integer inviteLevel;

    /**
     * 奖励时间
     */
    private Date createTime;

    /**
     * 奖励明细 卡券、积分、成长值
     */
    private List<GroupChatActivityRewardDetailVO> groupChatActivityRewardDetailVOList;

    public Long getChatActivityRewardLogId() {
        return chatActivityRewardLogId;
    }

    public void setChatActivityRewardLogId(Long chatActivityRewardLogId) {
        this.chatActivityRewardLogId = chatActivityRewardLogId;
    }

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public Integer getRewardInvite() {
        return rewardInvite;
    }

    public void setRewardInvite(Integer rewardInvite) {
        this.rewardInvite = rewardInvite;
    }

    public Integer getInviteLevel() {
        return inviteLevel;
    }

    public void setInviteLevel(Integer inviteLevel) {
        this.inviteLevel = inviteLevel;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public List<GroupChatActivityRewardDetailVO> getGroupChatActivityRewardDetailVOList() {
        return groupChatActivityRewardDetailVOList;
    }

    public void setGroupChatActivityRewardDetailVOList(List<GroupChatActivityRewardDetailVO> groupChatActivityRewardDetailVOList) {
        this.groupChatActivityRewardDetailVOList = groupChatActivityRewardDetailVOList;
    }
}
